Bug 207010 - [ Mac ] fast/history/page-cache-webdatabase-pending-transaction.html is timing out
Summary: [ Mac ] fast/history/page-cache-webdatabase-pending-transaction.html is timin...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-01-30 11:25 PST by Truitt Savell
Modified: 2020-09-08 16:41 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2020-01-30 11:25:44 PST
After the partial revert in https://trac.webkit.org/changeset/255431/webkit

fast/history/page-cache-webdatabase-pending-transaction.html is timing out constantly. This is not a regression because this was the behavior expected before the original code changes. This revert is what fixed many websql test issues and we have decided to make this as timing out and investigate separately.

History:
https://results.webkit.org/?suite=layout-tests&test=fast%2Fhistory%2Fpage-cache-webdatabase-pending-transaction.html&limit=50000
Comment 1 Radar WebKit Bug Importer 2020-01-30 11:25:59 PST
<rdar://problem/59035295>
Comment 2 Chris Dumez 2020-03-12 16:49:39 PDT
Committed r258372: <https://trac.webkit.org/changeset/258372>
Comment 3 Darin Adler 2020-09-04 15:12:23 PDT
An expectation of a timeout is still in the platform/mac/TestExpectations file marked with this bug number. So this test is showing up as an "unexpected pass".
Comment 4 Ryan Haddad 2020-09-08 16:41:48 PDT
This test is still frequently timing out on the bots, and I don't see how the commit above was related to this issue.

Switched it to flaky timeout in http://trac.webkit.org/r266760.